﻿using System.Windows;
using System.Windows.Controls;
using System.Windows.Threading;

namespace WpfApplication1
{
    public partial class App : Application
    {
        public App()
        {
            Dispatcher.UnhandledException += ShowException;
        }

        private void ShowException( object sender, DispatcherUnhandledExceptionEventArgs e )
        {
            var window = new Window();
            window.Content = new TextBox { Text = e.Exception.ToString(), IsReadOnly = true };
            window.Show();
            e.Handled = true;
        }
    }
}